﻿@using Microsoft.AspNetCore.Authorization
@using Ngochau.Web.Authorization
@inject IAuthorizationService AuthorizationService

@{
    Layout = "~/Areas/Cpanel/Views/Shared/_Layout.cshtml";
    var resultCreate = await AuthorizationService.AuthorizeAsync(User, "Master", Operations.Create);
    var resultUpdate = await AuthorizationService.AuthorizeAsync(User, "Master", Operations.Update);
    var resultDelete = await AuthorizationService.AuthorizeAsync(User, "Master", Operations.Delete);
}

@section Scripts{
    <script src="/assets/js/vendor/jquery.dataTables.min.js"></script>
    <script src="/assets/js/vendor/dataTables.bootstrap5.js"></script>
    <script src="/assets/js/vendor/dataTables.responsive.min.js"></script>
    <script src="/assets/js/vendor/responsive.bootstrap5.min.js"></script>
    <script src="/assets/js/vendor/dataTables.checkboxes.min.js"></script>
    <script src="/assets/js/pages/demo.products.js"></script>
    <script src="/Ngochau/table-treegrid/js/jquery.treegrid.js"></script>
    @*<script src="/controller/function/functions.js" asp-append-version="true"></script>*@

}
    @section Styles{
    <link href="/assets/css/vendor/dataTables.bootstrap5.css" rel="stylesheet" type="text/css" />
    <link href="/Ngochau/table-treegrid/css/jquery.treegrid.css" rel="stylesheet" type="text/css" />
}

    <div class="container-fluid">

        <!-- start page title -->
        <div class="row">
            <div class="col-12">
                <div class="page-title-box">
                    <h4 class="page-title">Quản lý Deposit</h4>
                </div>
            </div>
        </div>
        <!-- end page title -->

        <div class="row">
            <div class="col-12">
                <div class="card">
                    <div class="card-body">
                        <div class="row mb-2">
                            <div class="col-xl-6">
                                <form class="row gy-2 gx-2 align-items-center justify-content-xl-start justify-content-between">
                                    <div class="col-auto">
                                        <label for="inputPassword2" class="visually-hidden">Search</label>
                                        <input type="search" class="form-control" id="inputPassword2" placeholder="Tìm kiếm...">
                                    </div>
                                    <div class="col-auto">
                                        <div class="d-flex align-items-center">
                                            <select class="form-select" id="status-select">
                                                <option selected="">Chọn trạng thái tìm kiếm</option>
                                                <option value="1">New</option>
                                                <option value="2">Ordering in process</option>
                                                <option value="3">Success</option>
                                                <option value="4">Cancel</option>
                                            </select>
                                        </div>
                                    </div>
                                </form>
                            </div>
                            <div class="col-xl-6">
                                <div class="text-xl-end mt-xl-0 mt-2">
                                   <button type="button" class="btn btn-primary mb-2 me-2"><i class="uil-plus"></i> Thêm mới</button>
                                    <button type="button" class="btn btn-info  mb-2 me-2"><i class="mdi mdi-basket me-1"></i> Tải mẫu</button>
                                    <button type="button" class="btn btn-danger mb-2 me-2"><i class="mdi mdi-basket me-1"></i> Import</button>
                                    <button type="button" class="btn btn-light mb-2">Export</button>
                                </div>
                            </div><!-- end col-->
                        </div>

                        <div class="table-responsive">
                            <table class="table table-centered table-nowrap mb-0">
                                <thead class="table-light">
                                    <tr>
                                        <th style="width: 20px;">
                                            <div class="form-check">
                                                <input type="checkbox" class="form-check-input" id="customCheck1">
                                                <label class="form-check-label" for="customCheck1">&nbsp;</label>
                                            </div>
                                        </th>
                                        <th>Mã PO</th>
                                        <th>Tên PO</th>
                                        <th>Mã khách hàng</th>
                                        <th>Tên khách hàng</th>
                                        <th>Ngày tạo đơn hàng</th>
                                        <th>Total Deposit</th>
                                        <th>Total Balance</th>
                                        <th style="width: 125px;">Action</th>
                                    </tr>
                                </thead>
                                <tbody>
                                    <tr>
                                        <td>
                                            <div class="form-check">
                                                <input type="checkbox" class="form-check-input" id="customCheck2">
                                                <label class="form-check-label" for="customCheck2">&nbsp;</label>
                                            </div>
                                        </td>

                                        <td><a href="/cpanel/invoice/deposit" class="text-body fw-bold">#BM9708</a> </td>
                                        <td>Đơn hàng cho khách hàng A </td>
                                        <td>GOOD</td>
                                        <td>Khách hàng A</td>
                                        <td>
                                            20/10/2023   <small class="text-muted">10:29 PM</small>
                                        </td>
                                        <td>$100</td>
                                        <td>$100</td>
                                        <td>
                                            <a href="javascript:void(0);" class="action-icon"> <i class="mdi mdi-eye"></i></a>
                                            <a href="javascript:void(0);" class="action-icon"> <i class="mdi mdi-square-edit-outline"></i></a>
                                            <a href="javascript:void(0);" class="action-icon"> <i class="mdi mdi-delete"></i></a>
                                        </td>
                                    </tr>
                                </tbody>
                            </table>
                        </div>
                    </div> <!-- end card-body-->
                </div> <!-- end card-->
            </div> <!-- end col -->
        </div>
        <!-- end row -->

    </div>
